Stampfactory
Dokumentation
Dienstplanung

Einsatzprüfung einer Person

Read-only staffing indicator for a prospective absence in the period. Never blocks

GET
/employees/{employee}/staffing_check/{start}/{end}
AuthentifizierungBearer <token>

Bearer-Token, erhalten über den Login-Endpunkt (POST /rest/login).

Ort: header

Pfadparameter

employee*string

The employee ID

Formatuuid
start*string
end*string

Response-Body

application/json

application/json

application/json

curl -X GET "https://example.com/employees/497f6eca-6276-4993-bfeb-53cbbbba6f08/staffing_check/string/string"
{  "data": {    "ok": true,    "level": "string",    "mode": "string",    "unit_size": 0,    "affected_days": [      {        "date": "string",        "concurrent_absent": 0,        "would_understaff": true      }    ],    "message_key": "string",    "message_data": {      "property1": null,      "property2": null    }  }}